%define major 0
%define libname %mklibname sysstat %{major}
%define devname %mklibname sysstat -d


Name: libsysstat
Version: 0.4.6
Release: %mkrel 1
Source0: http://downloads.lxqt.org/%{name}/%{version}/%{name}-%{version}.tar.xz
Summary: System status library for LXQt
URL: http://lxqt.org/
License: LGPLv2+
Group: System/Libraries
#--------------------------------------
BuildRequires: cmake
BuildRequires: lxqt-build-tools >= 0.10.0
BuildRequires: %{_lib}qt5help-devel
#--------------------------------------

%description
System status library for LXQt

%package -n %{libname}
Summary: System status library for LXQt
Group: System/Libraries

%description -n %{libname}
System status library for LXQt

%package -n %{devname}
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: pkgconfig(sysstat-qt5)

%description -n %{devname}
Development files (Headers etc.) for %{name}.

%prep
%setup -q

# fix name and minor version
sed -i 's|set(MINOR_VERSION 2)|set(MINOR_VERSION 3)|g' CMakeLists.txt

%cmake

%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/cmake/sysstat-qt5


%changelog
* Fri Nov 05 2021 daniel - 0.4.6-1pclos2021
- 0.4.6

* Thu Apr 15 2021 daniel <> 0.4.5-1pclos2021
- 0.4.5

* Thu Nov 05 2020 daniel <meisssw01 at gmail.com> 0.4.4-1pclos2020
- 0.4.4

* Sun Jun 14 2020 daniel <meisssw01 at gmail.com> 0.4.3-2pclos2020
- rebuild against updates

* Sun Apr 26 2020 daniel <meisssw01 at gmail.com> 0.4.3-1pclos2020
- 0.4.3

* Wed Feb 06 2019 tex - 0.4.2-2pclos2019
- rebuild against updates

* Sun Jan 27 2019 daniel <meisssw01 at gmail.com> 0.4.2-1pclos2019
- update

* Sat Jul 28 2018 daniel <meisssw01 at gmail.com> 0.4.1-1pclos2018
- update

* Mon Oct 23 2017 daniel <meisssw01 at gmail.com> 0.4.0-1pclos2017
- update

* Tue Dec 13 2016 daniel <meisssw01 at gmail.com> 0.3.3-1pclos2017
- update

* Mon Sep 19 2016 ghostbunny <ghostbunny at gmx dot de> 0.3.2-1pclos2016
- 0.3.2

* Sun Feb 28 2016 daniel <meisssw01 at gmail.com> 0.3.1-2pclos2016
- rebuild for 32bit

* Tue Nov 10 2015 bb <bb> 0.3.1-1pclos2015
- import into pclos for lxqt
